#property copyright ""
#property link      ""
#property version   "1.00"



//+------------------------------------------------------------------+
//| Include files                                                    |
//+------------------------------------------------------------------+
#include "dlg.mqh"

//+------------------------------------------------------------------+
//| Global variables                                                 |
//+------------------------------------------------------------------+
CProblemShowDlg gl_pDialog;

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+

int OnInit()
{
  long lW = ChartGetInteger( 0, CHART_WIDTH_IN_PIXELS);
  long lH = ChartGetInteger( 0, CHART_HEIGHT_IN_PIXELS);
  
  //--- creating the application dialog
  if( !gl_pDialog.Create( 0, "Problem Demonstration Dialog", 1, 0, ( int) lH - 220, 200, ( int) lH - 20))
    return( -1);
  
  //ExtDialog.Move()
  //--- starting the application
  if( !gl_pDialog.Run())
    return( -2);

  //--- creating the timer
  EventSetTimer(1);
   
  //--- success
  return( INIT_SUCCEEDED);
}

//+------------------------------------------------------------------+
//| Deinitialization                                                 |
//+------------------------------------------------------------------+
void OnDeinit( const int reason)
{
  //--- destroying the dialog
  gl_pDialog.Destroy();
  
  //--- killing the timer
  EventKillTimer();
  
}
  
void OnTick()
{
  gl_pDialog.UpdateDataTick();
}

//+------------------------------------------------------------------+
//| Timer function                                                   |
//+------------------------------------------------------------------+
void OnTimer()
{
  gl_pDialog.UpdateDataTimer();
}

//+------------------------------------------------------------------+
//| ChartEvent function                                              |
//+------------------------------------------------------------------+
void OnChartEvent(const int id,
                  const long &lparam,
                  const double &dparam,
                  const string &sparam)
{
  //--- handling the event
  gl_pDialog.ChartEvent( id, lparam, dparam, sparam);
}

//+------------------------------------------------------------------+
